/**
 * 
 */
package com.huatek.busi.vo.routinetest.transformer;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.alibaba.fastjson.JSONObject;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
  * @ClassName: TemperatureRiseTest
  * @FullClassPath: com.huatek.busi.vo.routinetest.transformer.TemperatureRiseTest
  * @Description: 温升试验（型式）
  * @author: Arno
  * @date: Aug 23, 2019 6:06:52 PM
  * @version: 1.0
  */

@Data
@EqualsAndHashCode(callSuper = false)
public class TemperatureRiseTest extends TestBase implements Serializable {
	
	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = -6566008182457852377L;

	/** @Fields conclusion : 结论*/ 
	public String conclusion = "" ;
	
	public static void main(String[] args) {
		TemperatureRiseTest entity = new TemperatureRiseTest();
		entity.setTestContent("温升试验（型式）");
		entity.setTestEquipment("");
		entity.setChecker("王科");
		entity.setTester("刘天天");
		entity.setSignature("林冲");
		entity.setTestTime(LocalDateTime.of(2018, 5, 25, 10, 13, 29));
		entity.setRemarks("合格");
		
		entity.setConclusion("试验结果：变压器在100%容量，分接位置5档下，施加最大总损耗1060.84KW，测量绕组温升时施加电流416.7A，用短路法试验结果如下：油顶层温升为28.1K；高压绕组平均温升为52.2L；低压绕组平均升温为46.6K；油箱表面最热点温升为63.5K;");
		String josn = JSONObject.toJSONString(entity);
		System.out.println(josn);
		TemperatureRiseTest parseObject = JSONObject.parseObject(josn, TemperatureRiseTest.class);
		System.out.println(parseObject.getChecker());
	}
}
